#include<iostream>

using namespace std;

int main(){
    int n, q;
    cin >> n >> q;
    long long d[n];
    long long p[n];
    long long k[q];
    for(int i=0; i<n; i++){
        cin >> d[i];
        cin >> p[i];
    }
    for(int j=0; j<q; j++){
        cin >> k[j];
    }
    long long brojac = 0;
    for(int i=0; i<n; i++){
        for(int j = 0; j<n; j++){
            if(d[i]<=k[j]){
                if(p[i]>=abs(k[j] - d[i])){
                    brojac+=p[i];
                }
                else{
                    brojac+=abs(k[j]-p[i]);

                }
            }
        }
    }
    cout << brojac;



    return 0;
}